services:
    admin.service:
        class: App\Admin\ServiceAdmin
        calls:
            - [ setTemplate, [ 'edit', 'admin/Service/service.html.twig' ] ]
        arguments: [~, App\Entity\Service, App\Controller\ServiceAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Service }
        public: true

    admin.service_category:
        class: App\Admin\ServiceCategoryAdmin
        arguments: [~, App\Entity\ServiceCategory, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Catégorie service }
        public: true

    admin.service_eleve:
        class: App\Admin\ServiceEleveAdmin
        calls:
            - [ setTemplate, [ 'edit', 'admin/Service/serviceeleve.html.twig' ] ]
        arguments: [~, App\Entity\ServiceEleve, App\Controller\ServiceEleveAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Services Élèves }
        public: true

    admin.service_echeance:
        class: App\Admin\ServiceEcheanceAdmin
        arguments: [~, App\Entity\ServiceEcheance, App\Controller\ServiceEcheanceAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Echéances Service }
        public: true

    admin.service_paiement:
        class: App\Admin\ServicePaiementAdmin
        arguments: [~, App\Entity\ServicePaiement, App\Controller\ServicePaiementAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Catégorie Paiement }
        public: true

    admin.eleve_echeance_journalier:
        class: App\Admin\EleveEcheanceJournalierAdmin
        arguments: [~, App\Entity\EleveEcheance, App\Controller\EleveEcheanceJournalierAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Echeance Eleve }
        public: true

    admin.service_journalier_eleve:
        class: App\Admin\ServiceJournalierEleveAdmin
        calls:
            - [ setTemplate, [ 'edit', 'admin/Service/servicejournalier.html.twig' ] ]
        #            - [ setLabelTranslatorStrategy, [ '@sonata.admin.label.strategy.native' ] ]

        arguments: [~, App\Entity\ServiceJournalierEleve, App\Controller\ServiceJournalierEleveAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: admin.service.Service_Occasionnel }
        public: true
